Debian Bug report logs - #504747
gnu-fdisk: wipes out MBR when used on GPT partitions

version graph

Package: gnu-fdisk; Maintainer for gnu-fdisk is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for gnu-fdisk is src:gnu-fdisk.

Reported by: Michael Renner <robe@amd.co.at>

Date: Thu, 6 Nov 2008 20:15:04 UTC

Severity: grave

Found in versions gnu-fdisk/1.0-3, any

Fixed in version gnu-fdisk/1.2-1

Done: Xavier Oswald <x.oswald@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#504747; Package gnu-fdisk. (Thu, 06 Nov 2008 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Renner <robe@amd.co.at>:
New Bug report received and forwarded. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Thu, 06 Nov 2008 20:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Renner <robe@amd.co.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnu-fdisk: wipes out MBR when used on GPT partitions
Date: Thu, 06 Nov 2008 21:13:26 +0100
Package: gnu-fdisk
Version: 1.0-3+b1
Severity: grave
Justification: causes non-serious data loss

gnu-fdisk wipes out the Code Area in the MBR of a given device when modifying a GPT partition. If this happens to be the boot device, this can cause serious trouble.

The behaviour can be easily verified with dd and hexdump.



Create a blockdevice with a gpt label, then write data to the code area, e.g.:

dd if=/dev/urandom of=/dev/sdc bs=440 count=1

and verify that it's there:

dd if=/dev/sdc bs=512 count=1 | hexdump -C -v

Then get fdisk to rewrite the partition table (starting and immediately (re)writing the partition table works); a verification with dd/hexdump should show an empty Code Area.

The free encyclopedia has a nice layout of the MBR, for verification: http://en.wikipedia.org/wiki/Master_boot_record


best regards,
Michael


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnu-fdisk depends on:
ii  libc6            2.7-15                  GNU C Library: Shared libraries
ii  libncurses5      5.6+20080830-1          shared libraries for terminal hand
ii  libparted1.8-10  1.8.8.git.2008.03.24-11 The GNU Parted disk partitioning s
ii  libuuid1         1.41.2-1                universally unique id library

gnu-fdisk recommends no packages.

gnu-fdisk suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#504747; Package gnu-fdisk. (Wed, 03 Dec 2008 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Wed, 03 Dec 2008 11:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 504747@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 504747@bugs.debian.org, Aurélien GÉRÔME <ag@debian.org>
Cc: Michael Renner <robe@amd.co.at>
Subject: Re: Bug#504747: gnu-fdisk: wipes out MBR when used on GPT partitions
Date: Wed, 3 Dec 2008 22:04:13 +1100
On Friday 07 November 2008 07:13:26 Michael Renner wrote:
> gnu-fdisk wipes out the Code Area in the MBR

Aurélien,

This RC bug has been dormant since it's report 3 weeks ago.

Are you in a position to comment on this report, are you able to reproduce, 
have you been able to discuss with upstream?

Mark




Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#504747; Package gnu-fdisk. (Fri, 05 Dec 2008 23:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Renner <robe@amd.co.at>:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Fri, 05 Dec 2008 23:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 504747@bugs.debian.org (full text, mbox):

From: Michael Renner <robe@amd.co.at>
To: Robert Lemmen <robertle@semistable.com>
Cc: 504747@bugs.debian.org
Subject: Re: fdisk gpt bug
Date: Sat, 06 Dec 2008 00:53:58 +0100
Robert Lemmen wrote:
> hi michael,
> 
> could you explain how to create such a partition? i have created a small
> loopback with a GPT partition, but i don't see that behaviour...

Not using a loopback device but a plain file:


# create a sparse file, ~200GB in this case

dd if=/dev/zero of=fakedisk bs=1 count=0 seek=219902325555

# write gpt label

parted fakedisk mklabel gpt

# create a partition

fdisk fakedisk # commands: n/return/return/asdf/return/+10G/w

# verify that gpt label exists (look for 01 00 ee fe ff ff in line 1c0)

dd if=fakedisk bs=512 count=1 | hexdump -C -v

# write MBR

dd if=/dev/urandom of=fakedisk bs=440 count=1 conv=notrunc

# verify MBRs existence (random data before partition marker)

dd if=fakedisk bs=512 count=1 | hexdump -C -v

# create another partition

fdisk fakedisk # commands: n/return/return/fdsa/return/+10G/w

# notice absence of random data

dd if=fakedisk bs=512 count=1 | hexdump -C -v


For the record:

mirror02:~# dpkg -l gnu-fdisk coreutils parted libparted1.8-10
linux-image-2.6.26-1-amd64
Desired=Unknown/Install/Remove/Purge/Hold
|
Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
uppercase=bad)
||/ Name                     Version                  Description
+++-========================-========================-================================================================
ii  coreutils                6.10-6                   The GNU core utilities
ii  gnu-fdisk                1.0-3+b1                 Linux fdisk
replacement based on libparted
ii  libparted1.8-10          1.8.8.git.2008.03.24-11  The GNU Parted
disk partitioning shared library
ii  parted                   1.8.8.git.2008.03.24-11  The GNU Parted
disk partition resizing program
mirror02:~#


Hope that's clear enough,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#504747; Package gnu-fdisk. (Sat, 06 Dec 2008 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Sat, 06 Dec 2008 01:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 504747@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <504747@bugs.debian.org>
Cc: 504747-submitter@bugs.debian.org, Mark Purcell <msp@debian.org>
Subject: gnu-fdisk: It is normal to wipe out MBR :-) You asked for it.
Date: Sat, 6 Dec 2008 10:39:11 +0900
Package: gnu-fdisk
Version: any
Followup-For: Bug #504747

At least this bug should be important (or wishlist) severity bug if we
consider only the bug reported here.  But I am happy to keep this as RC.
Here is the situation:

Although some of the way gnu-fdisk works (bug#504099) is not something I
like, this Bug #504747 behavior of gnu-fdisk is normal and expected.
"GNU parted" also wipes out MBR when editting GPT.  Basically, running
GPT managing software will reset and clean MBR record to the GPT used by
EFI.

Of course, it is nice to support hybrid partition scheme where GPT and
MBR is mixed like my situation here with MacBook.
 http://wiki.debian.org/MacBook/DebianInstallTutorial

But both parted and gnu-fdisk suppot only pure GPT system at this
moment.  This bug report is nothing but wishlist for feature enhancement
to support hybrid scheme.

The same issue exists in the better program: "GNU parted" unfortunately.
 http://bugs.debian.org/441033
(Hmmm... I should change bug to wishlist for this one... oh well.)

I see problem is not just 504099 nor 504747, but dead upstream and no
added value of having this package in release as discussed in 504747.
We have well maintained normal fdisk program for pure MBR system.  There
is parted for pure GPT and pure MBR system.

Since I wish this to be kept RC with reasons stated here and 504747, I
keep this bug severity as is.  If maintainer does not act, this means he
is not paying attention for this package.  I think we will be better to
release lenny without this package.

Osamu

PS:  Just because "dd" can wipe disk without warning if requested, we do
not consider package including it RC buggy. 

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (800, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnu-fdisk depends on:
ii  libc6          2.7-16                    GNU C Library: Shared libraries
ii  libncurses5    5.7+20081129-1            shared libraries for terminal hand
ii  libparted1.8-1 1.8.8.git.2008.03.24-11.1 The GNU Parted disk partitioning s
ii  libuuid1       1.41.3-1                  universally unique id library

gnu-fdisk recommends no packages.

gnu-fdisk suggests no packages.




Message sent on to Michael Renner <robe@amd.co.at>:
Bug#504747. (Sat, 06 Dec 2008 01:42:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#504747; Package gnu-fdisk. (Sat, 06 Dec 2008 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Renner <michael.renner@amd.co.at>:
Extra info received and filed, but not forwarded. (Sat, 06 Dec 2008 02:18:03 GMT) Full text and rfc822 format available.

Message #28 received at 504747-quiet@bugs.debian.org (full text, mbox):

From: Michael Renner <michael.renner@amd.co.at>
To: Osamu Aoki <osamu@debian.org>, 504747-quiet@bugs.debian.org
Cc: msp@debian.org
Subject: Re: Bug#504747: gnu-fdisk: It is normal to wipe out MBR :-) You asked for it.
Date: Sat, 06 Dec 2008 03:15:10 +0100
Osamu Aoki wrote:

> At least this bug should be important (or wishlist) severity bug if we
> consider only the bug reported here.  But I am happy to keep this as RC.
> Here is the situation:
> 
> Although some of the way gnu-fdisk works (bug#504099) is not something I
> like, this Bug #504747 behavior of gnu-fdisk is normal and expected.

Expected? By someone who is a systems developer with reference to EFI or
a HPUX/IA64 Windows administrator, maybe.

From the users perspective (and I guess that i386 and amd64 are combined
well over 95% of the Debian installations out there) your statement is
of laughable ignorance.


I'll present some facts, please correct me if I'm wrong.

*) As of now (12/2008) the amount of x86 commodity hardware which is
able to boot EFI is close to nil.

*) The tools/toolchains to prepare a clean disk to be able to boot EFI
on x86 do not exist or are highly experimental

*) Partitioning disks with MBR/MS-DOS Style partitioning isn't feasible
for RAID-Devices with 2 or more disks already due to it's 2TB addressing
limit and will become unfeasible for single Disks in 2009, with
Multi-Terabyte drives around the corner.

*) Using the Code Area of the Legacy MBR of a GPT to load the second
stage of a bootloader is perfectly fine in the scenarios outlined above.

*) The Lenny D-I will automatically use GPT partitioning when confronted
with block devices >= 2TB.

*) gnu-fdisk is a tool which is an alternative to fdisk, closely
imitating it's interface, not hinting on any fundamental differences
between it's predecessor or GPT.


I understand your reasoning behind the original behaviour, but the
industry (and thusly the community) failed to pick up on EFI support. By
now time has caught up with us and we do have to do something about it.
Ignoring the situation won't make it go away.

If you want to avoid a lot of unhappy users during the Lenny lifecycle
I'd suggest that you take this issue seriously and think about the
actual use case. People use your software, not reference
implementations. I'd be happy if there were any feasible alternatives,
but from what I've seen so far it seems as if we're all alone out in the
cold on this one.


> "GNU parted" also wipes out MBR when editting GPT.  Basically, running
> GPT managing software will reset and clean MBR record to the GPT used by
> EFI.

So it fails identically for this use case ;).

best regards,
Michael




Information stored :
Bug#504747; Package gnu-fdisk. (Sat, 06 Dec 2008 03:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 06 Dec 2008 03:27:02 GMT) Full text and rfc822 format available.

Message #33 received at 504747-quiet@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Michael Renner <michael.renner@amd.co.at>
Cc: 504747-quiet@bugs.debian.org, msp@debian.org
Subject: Re: Bug#504747: gnu-fdisk: It is normal to wipe out MBR :-) You asked for it.
Date: Sat, 6 Dec 2008 12:21:50 +0900
Hi Michael,

You are quick :-)  Please understand I am all for removing this package.

FYI: creating grub-cd using image found in grub-rescue-pc package should
save you in bad days.

I merely presented facts. (I am not a maintainer of this package and
have no control over this package.)

On Sat, Dec 06, 2008 at 03:15:10AM +0100, Michael Renner wrote:
> Osamu Aoki wrote:
> 
> > At least this bug should be important (or wishlist) severity bug if we
> > consider only the bug reported here.  But I am happy to keep this as RC.
> > Here is the situation:
> > 
> > Although some of the way gnu-fdisk works (bug#504099) is not something I
> > like, this Bug #504747 behavior of gnu-fdisk is normal and expected.
> 
> Expected? By someone who is a systems developer with reference to EFI or
> a HPUX/IA64 Windows administrator, maybe.

I am a user on MacBook (Intel Macs) without fancy RAID things and with
mere 80 GB.  I am not an HPUX/IA64 user.

> >From the users perspective (and I guess that i386 and amd64 are combined
> well over 95% of the Debian installations out there) your statement is
> of laughable ignorance.

I am one of 95%.

> I'll present some facts, please correct me if I'm wrong.
> 
> *) As of now (12/2008) the amount of x86 commodity hardware which is
> able to boot EFI is close to nil.

commodity ... nil maybe but there are some Intel based MacBooks out there.
It may not be a commodity white box but quite popular consumer product.

> *) The tools/toolchains to prepare a clean disk to be able to boot EFI
> on x86 do not exist or are highly experimental

True.  I use chain-loading from MacOS X partition having rEFIt as
described in http://wiki.debian.org/MacBook/DebianInstallTutorial 

> *) Partitioning disks with MBR/MS-DOS Style partitioning isn't feasible
> for RAID-Devices with 2 or more disks already due to it's 2TB addressing
> limit and will become unfeasible for single Disks in 2009, with
> Multi-Terabyte drives around the corner.

You certainly have no commodity device and are expert admin using RAID.

> *) Using the Code Area of the Legacy MBR of a GPT to load the second
> stage of a bootloader is perfectly fine in the scenarios outlined above.

For different reason, we MacBook user use Legacy MBR data to boot
system using grub-pc (legacy MBR bootloader) since EFI does not work
well per: http://wiki.debian.org/MacBook

 * grub-efi is in sid but it doesn't work as of 18 October 2008 (Bug: bug 429695 bug 427492).
 * elilo does not work (Bug: #376002) 

> *) The Lenny D-I will automatically use GPT partitioning when confronted
> with block devices >= 2TB.

I see.  This is installer issue.  Basically, you need to do similar thing as
what we do on MacBook to workaround issues.

Since partition happens before bootloader installation, I think issues of
installer is not running gptsync to create hybrid partition.  (See
http://wiki.debian.org/MacBook/DebianInstallTutorial how we do we work
around problem.)

You have to do it manually.  Basically, you are installing Debian to an
hardware where Debian installer support is not perfect.  This only
affects very limited people.  It is not RC in theory.  (Again, I am for
removing this package since it does not display GPT information properly
and gives false sense.)

> *) gnu-fdisk is a tool which is an alternative to fdisk, closely
> imitating it's interface, not hinting on any fundamental differences
> between it's predecessor or GPT.

But when we are dealing with different beast such as GPT, we should not
fake its situation almost as MBR.  This is the thing most bad about
gnu-fdisk.
 
> I understand your reasoning behind the original behavior, but the
> industry (and thusly the community) failed to pick up on EFI support. By
> now time has caught up with us and we do have to do something about it.
> Ignoring the situation won't make it go away.

If your issue is with installer, please put it there.  Please note
important bug is not RC.

| important: a bug which has a major effect on the usability of a package,
| without rendering it completely unusable to everyone.

Hybrid partition isuues are reported to partman-installer for MacBooks
but I see no RAID issue.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475908
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=430011

> If you want to avoid a lot of unhappy users during the Lenny lifecycle
> I'd suggest that you take this issue seriously and think about the
> actual use case. People use your software, not reference
> implementations. I'd be happy if there were any feasible alternatives,
> but from what I've seen so far it seems as if we're all alone out in the
> cold on this one.

I guess if this problem is clearly identified as installer issue
(partman?) then we should address this in release note so people with
larger than 2TB RAID or already functioning MacOS X+Windows on MacBook.

Also I think this is not just Debian problem.  If you know other distro
doing it right, please point it out.  They may be using some patch to
the libraries used by gnu-fdisk/parted.

I general, new hardwares (be it huge disk space or new design), causes
issues.  They are not RC but quite annoying.

> > "GNU parted" also wipes out MBR when editing GPT.  Basically, running
> > GPT managing software will reset and clean MBR record to the GPT used by
> > EFI.
> 
> So it fails identically for this use case ;).

I do not know exactly what to expect on RAID case.  I know it wipes MBR
on MacBook.  It only affects limited machine, at highest it is important
bug.

I hope these bug reports should save people with problem on lenny :-)

Osamu

PS: Lenny is in freeze.  I do not expect such intrusive fix to address
demands of extreme system to happen.  There are other problem using
grub-pc which seems to be left out from grub-install:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502446






Information stored :
Bug#504747; Package gnu-fdisk. (Sat, 06 Dec 2008 03:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Renner <michael.renner@amd.co.at>:
Extra info received and filed, but not forwarded. (Sat, 06 Dec 2008 03:48:02 GMT) Full text and rfc822 format available.

Message #38 received at 504747-quiet@bugs.debian.org (full text, mbox):

From: Michael Renner <michael.renner@amd.co.at>
To: Osamu Aoki <osamu@debian.org>
Cc: msp@debian.org, 504747-quiet@bugs.debian.org
Subject: Re: Bug#504747: gnu-fdisk: It is normal to wipe out MBR :-) You asked for it.
Date: Sat, 06 Dec 2008 04:44:59 +0100
Osamu Aoki wrote:
> Hi Michael,
> 
> You are quick :-)  Please understand I am all for removing this package.

And this is why I don't want to discuss this issue with you anymore.


>> *) gnu-fdisk is a tool which is an alternative to fdisk, closely
>> imitating it's interface, not hinting on any fundamental differences
>> between it's predecessor or GPT.
> 
> But when we are dealing with different beast such as GPT, we should not
> fake its situation almost as MBR.  This is the thing most bad about
> gnu-fdisk.

Why is this a problem?

> If your issue is with installer, please put it there.  Please note
> important bug is not RC.

I thought I clearly laid out what the issue is. I'll try it again.

There is currently _NO WAY_ to _SANELY_ edit _THE ONLY_ partition table
available on x86 systems for devices larger than 2TB (which are
available Real Soon Now), without _DESTROYING YOUR BOOT CHAIN_. When the
device in question happens to be your boot device.

> Also I think this is not just Debian problem.  If you know other distro
> doing it right, please point it out.  They may be using some patch to
> the libraries used by gnu-fdisk/parted.

I'm not much of a community guy. The only distribution I actively use is
Debian because it gets stuff most of the times right. I hoped that
somebody would eventually notice the reach of the situation and take
care of it.


> I general, new hardwares (be it huge disk space or new design), causes
> issues.  They are not RC but quite annoying.

Please don't argue about the importance of the bug if you fail to
understand the situation.


Have a good night,
Michael




Information stored :
Bug#504747; Package gnu-fdisk. (Sat, 06 Dec 2008 09:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 06 Dec 2008 09:27:03 GMT) Full text and rfc822 format available.

Message #43 received at 504747-quiet@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 504747-quiet@bugs.debian.org, Michael Renner <michael.renner@amd.co.at>, msp@debian.org
Subject: Re: Bug#504747: gnu-fdisk: It is normal to wipe out MBR :-) You asked for it.
Date: Sat, 06 Dec 2008 10:24:33 +0100
Osamu Aoki <osamu@debian.org> wrote:

Hi,

> For different reason, we MacBook user use Legacy MBR data to boot
> system using grub-pc (legacy MBR bootloader) since EFI does not work
> well per: http://wiki.debian.org/MacBook
>
>  * grub-efi is in sid but it doesn't work as of 18 October 2008 (Bug: bug 429695 bug 427492).
>  * elilo does not work (Bug: #376002) 

For the sake of correctness, the reason for still relying on legacy
BIOS boot on the Intel Macs has nothing to do with either grub-efi or
elilo (both can be fixed, and recent changes to efifb even alleviate
the need, though some changes still need to be done to both elilo and
grub-efi).

The real issue is that a direct EFI boot will leave you without a
video BIOS, which means no 3D acceleration. And I'm sure you want 3D
acceleration.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#504747; Package gnu-fdisk. (Wed, 10 Dec 2008 10:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@debian.org>:
Extra info received and forwarded to list. (Wed, 10 Dec 2008 10:00:02 GMT) Full text and rfc822 format available.

Message #48 received at 504747@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@debian.org>
To: Mark Purcell <msp@debian.org>, 504747@bugs.debian.org
Cc: Michael Renner <robe@amd.co.at>
Subject: Re: Bug#504747: gnu-fdisk: wipes out MBR when used on GPT partitions
Date: Wed, 10 Dec 2008 10:57:40 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec 03, 2008 at 10:04:13PM +1100, Mark Purcell wrote:
> Are you in a position to comment on this report, are you able to reproduce, 
> have you been able to discuss with upstream?

Upstream is MIA. It is up to the Release Team to decide whether
gnu-fdisk is suitable for release or not. I do not have time to argue.

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Debian Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#504747; Package gnu-fdisk. (Fri, 12 Dec 2008 11:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Fri, 12 Dec 2008 11:42:03 GMT) Full text and rfc822 format available.

Message #53 received at 504747@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: 504747@bugs.debian.org
Cc: Michael Renner <robe@amd.co.at>
Subject: Re: Bug#504747: gnu-fdisk: wipes out MBR when used on GPT partitions
Date: Fri, 12 Dec 2008 12:37:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

Aurélien GÉRÔME wrote:

> Upstream is MIA. It is up to the Release Team to decide whether
> gnu-fdisk is suitable for release or not. I do not have time to argue.

I'm wondering about the MIA.
When I asked on the mailinglist regarding the current state of gnu-fdisk
I got a prompt reply by Leslie Polzer:

  http://lists.gnu.org/archive/html/bug-fdisk/2008-12/msg00001.html

So we can expect to get a new release soon ("I'll try to
release it today and no excuses."). Looking at the current state of
gnu-fdisk in Debian: should we think about getting the new GNU fdisk
release into Lenny?

And according to Leslie the GNU fdisk maintainer(s) don't seem to be
informed about issues like:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=445304
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504099

I can't find any "forwarded" information in the bugreports too.
How was upstream informed about this?

thx && regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#504747; Package gnu-fdisk. (Tue, 23 Dec 2008 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian <mail.kristian@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Tue, 23 Dec 2008 19:12:02 GMT) Full text and rfc822 format available.

Message #58 received at 504747@bugs.debian.org (full text, mbox):

From: Christian <mail.kristian@yahoo.it>
To: 504747@bugs.debian.org
Subject: gnu-fdisk: wipes out MBR when used on GPT partitions [PATCH]
Date: Tue, 23 Dec 2008 19:08:25 +0000
Hi!
A small patch to resolve this problem can be found here:
  
   http://lists.gnu.org/archive/html/bug-parted/2008-12/msg00015.html

As I mentioned in the bug-parted list, this patch is a temporary solution.

Please try it and report any errors. Comments and suggestions are welcome!

Happy partitioning! :)

Christian.







Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#504747; Package gnu-fdisk. (Sun, 11 Jan 2009 11:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sun, 11 Jan 2009 11:21:02 GMT) Full text and rfc822 format available.

Message #63 received at 504747@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 504747@bugs.debian.org
Subject: Removing
Date: Sun, 11 Jan 2009 11:19:11 +0000
[Message part 1 (text/plain, inline)]
Removing from testing as maintainer doesn't seem to want it fixed.

Neil
-- 
* Tolimar votes for debconf7 to be somewhere where he speaks the
	language.
<Tolimar> That would a veto for switzerland ;)
<Ganneff> Tolimar: that also vetos germany
[signature.asc (application/pgp-signature, inline)]

Reply sent to Xavier Oswald <x.oswald@free.fr>:
You have taken responsibility. (Wed, 04 Feb 2009 02:58:51 GMT) Full text and rfc822 format available.

Notification sent to Michael Renner <robe@amd.co.at>:
Bug acknowledged by developer. (Wed, 04 Feb 2009 02:58:53 GMT) Full text and rfc822 format available.

Message #68 received at 504747-close@bugs.debian.org (full text, mbox):

From: Xavier Oswald <x.oswald@free.fr>
To: 504747-close@bugs.debian.org
Subject: Bug#504747: fixed in gnu-fdisk 1.2-1
Date: Wed, 04 Feb 2009 02:47:05 +0000
Source: gnu-fdisk
Source-Version: 1.2-1

We believe that the bug you reported is fixed in the latest version of
gnu-fdisk, which is due to be installed in the Debian FTP archive:

gnu-fdisk_1.2-1.diff.gz
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2-1.diff.gz
gnu-fdisk_1.2-1.dsc
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2-1.dsc
gnu-fdisk_1.2-1_i386.deb
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2-1_i386.deb
gnu-fdisk_1.2.orig.tar.gz
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Oswald <x.oswald@free.fr> (supplier of updated gnu-fdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Dec 2008 20:42:51 +0100
Source: gnu-fdisk
Binary: gnu-fdisk
Architecture: source i386
Version: 1.2-1
Distribution: unstable
Urgency: high
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Changed-By: Xavier Oswald <x.oswald@free.fr>
Description: 
 gnu-fdisk  - Linux fdisk replacement based on libparted
Closes: 445304 463720 504747 512751
Changes: 
 gnu-fdisk (1.2-1) unstable; urgency=high
 .
   * New upstream release (Closes: #512751)
   * Fix inoperability for disks with unknown disklabel (Closes: #445304)
   * Fix wipes out MBR when used on GPT partitions(Closes: #504747)
   * Fix Segmentation fault (Closes: #463720)
   * Add Build-Depends on texinfo in debian/control
   * Rename debian/patches/pointer to debian/patches/pointer.patch
   * Add debian/pateches/mkinstalldirs.patch for adding the missing
     mkinstalldirs command
   * Update copyright about licences location
   * Remove leftover .pc/.version
Checksums-Sha1: 
 7c6ad4ccf78cfeef418ab8e1d5d3c98ede30b4d3 1208 gnu-fdisk_1.2-1.dsc
 67281e6bc4c12a7553982306d38775a22fded1ae 419344 gnu-fdisk_1.2.orig.tar.gz
 752676e71fba866d933c39ae3513202d5e5396ca 357865 gnu-fdisk_1.2-1.diff.gz
 802e8f96f692eee6e99ab9a8160b75e60c5f01cc 109556 gnu-fdisk_1.2-1_i386.deb
Checksums-Sha256: 
 ed4d0c81f9598529564e65ad9578aabb56445d79e1182fbee5d6f059d70546f8 1208 gnu-fdisk_1.2-1.dsc
 1edef1730243cd40b8cd93e8a561c5056cec62f17c3f7e17b23600aae45d7ebd 419344 gnu-fdisk_1.2.orig.tar.gz
 642f97acb794e61e7e8cfb5794e2011a23f8f0888158cb53c946f4237017a3af 357865 gnu-fdisk_1.2-1.diff.gz
 34c7cf3f5142ada3d3e1a5aff331c5bbf65d09256b21515ee0b52cbc30f6f9c8 109556 gnu-fdisk_1.2-1_i386.deb
Files: 
 55e1b7bdb9bb12e7e4d9a970c557319d 1208 utils extra gnu-fdisk_1.2-1.dsc
 afbbdbe2693e72f5a8d00209d515a838 419344 utils extra gnu-fdisk_1.2.orig.tar.gz
 6e8ef4f1b8f258a6b9d9f79f62a22444 357865 utils extra gnu-fdisk_1.2-1.diff.gz
 c6529dea0ac62a2c5230bf0d36a33ddd 109556 utils extra gnu-fdisk_1.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmI/iYACgkQpDDGqoi7tR4FmwCgsXX1judDRYYHtY9I2l05XGDZ
iQ8AoI0desqm6pdVzbKIkbasVf3KZxOC
=u5Md
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:58:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:26:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.